Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primlong
Class LongConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch
          org.optaplanner.core.api.score.constraint.primlong.LongConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

    public class LongConstraintMatch

extends ConstraintMatch

See Also:
  Serialized Form

Field Summary
`protected LongConstraintMatchTotal` | `constraintMatchTotal`
`protected long` | `weight`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`justificationList`

Constructor Summary
`LongConstraintMatch(LongConstraintMatchTotal constraintMatchTotal, List<Object> justificationList, long weight)`

Method Summary
`LongConstraintMatchTotal` | `getConstraintMatchTotal()`
`long` | `getWeight()`
`Number` | `getWeightAsNumber()`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`compareTo, getJustificationList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchTotal

    protected final LongConstraintMatchTotal constraintMatchTotal

### weight

    protected final long weight

Constructor Detail

### LongConstraintMatch

    public LongConstraintMatch(LongConstraintMatchTotal constraintMatchTotal,
                               List<Object> justificationList,
                               long weight)

Method Detail

### getConstraintMatchTotal

    public LongConstraintMatchTotal getConstraintMatchTotal()

  Specified by:
    `getConstraintMatchTotal` in class `ConstraintMatch`

### getWeight

    public long getWeight()

### getWeightAsNumber

    public Number getWeightAsNumber()

  Specified by:
    `getWeightAsNumber` in class `ConstraintMatch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.